Backups - List By Server
Cantumkan semua cadangan untuk server tertentu.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforMySQL/flexibleServers/{serverName}/backups?api-version=2024-12-30
Parameter URI
| Nama | Dalam | Diperlukan | Jenis | Deskripsi |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Nama grup sumber daya. Nama tidak sensitif terhadap penggunaan huruf besar atau kecil. |
|
server
|
path | True |
string minLength: 1maxLength: 63 pattern: ^[a-z0-9][-a-z0-9]*(? |
Nama server. |
|
subscription
|
path | True |
string (uuid) |
ID langganan target. Nilainya harus sebuah UUID. |
|
api-version
|
query | True |
string minLength: 1 |
Versi API yang digunakan untuk operasi ini. |
Respons
| Nama | Jenis | Deskripsi |
|---|---|---|
| 200 OK |
Operasi Azure berhasil diselesaikan. |
|
| Other Status Codes |
Respons kesalahan tak terduga. |
Keamanan
azure_auth
Alur OAuth2 Azure Active Directory.
Jenis:
oauth2
Alur:
implicit
URL Otorisasi:
https://login.microsoftonline.com/common/oauth2/authorize
Cakupan
| Nama | Deskripsi |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
List backups for a server
Permintaan sampel
Respon sampel
{
"value": [
{
"name": "daily_20210615T160516",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210615T160516",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-15T16:05:19.902522+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210616T160520",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210616T160520",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-16T16:05:23.9243453+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210617T160525",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210617T160525",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-17T16:05:28.1247488+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210618T160529",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210618T160529",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-18T16:05:32.2736701+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210619T160533",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210619T160533",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-19T16:05:36.8603354+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210620T160538",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210620T160538",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-20T16:05:41.9200138+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210621T160543",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210621T160543",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-21T16:05:48.8528447+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210622T160803",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210622T160803",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-22T16:08:06.3121688+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210622T210807",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210622T210807",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-22T21:08:10.5057354+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210623T212413",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210623T212413",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-23T21:24:16.9401531+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210624T061328",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210624T061328",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-24T06:13:31.4962137+00:00",
"source": "Automatic"
}
}
]
}
Definisi
| Nama | Deskripsi |
|---|---|
|
created |
Jenis identitas yang membuat sumber daya. |
|
Error |
Info tambahan kesalahan manajemen sumber daya. |
|
Error |
Detail kesalahan. |
|
Error |
Tanggapan kesalahan |
|
Server |
Properti cadangan server |
|
Server |
Respons operasi daftar ServerBackup. |
|
system |
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya. |
createdByType
Jenis identitas yang membuat sumber daya.
| Nilai | Deskripsi |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Info tambahan kesalahan manajemen sumber daya.
| Nama | Jenis | Deskripsi |
|---|---|---|
| info |
object |
Info tambahan. |
| type |
string |
Jenis info tambahan. |
ErrorDetail
Detail kesalahan.
| Nama | Jenis | Deskripsi |
|---|---|---|
| additionalInfo |
Info tambahan kesalahan. |
|
| code |
string |
Kode kesalahan. |
| details |
Detail kesalahan. |
|
| message |
string |
Pesan kesalahan. |
| target |
string |
Target kesalahan. |
ErrorResponse
Tanggapan kesalahan
| Nama | Jenis | Deskripsi |
|---|---|---|
| error |
Objek kesalahan. |
ServerBackup
Properti cadangan server
| Nama | Jenis | Deskripsi |
|---|---|---|
| id |
string (arm-id) |
ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Misalnya "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
Nama sumber daya |
| properties.backupType |
string |
Jenis cadangan. |
| properties.completedTime |
string (date-time) |
Waktu selesai pencadangan (format ISO8601). |
| properties.source |
string |
Sumber cadangan |
| systemData |
Metadata Azure Resource Manager yang berisi informasi createBy dan modifiedBy. |
|
| type |
string |
Jenis sumber daya. Misalnya, "Microsoft.Compute/virtualMachines" atau "Microsoft.Storage/storageAccounts" |
ServerBackupListResult
Respons operasi daftar ServerBackup.
| Nama | Jenis | Deskripsi |
|---|---|---|
| nextLink |
string (uri) |
Tautan ke halaman item berikutnya |
| value |
Item ServerBackup di halaman ini |
systemData
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya.
| Nama | Jenis | Deskripsi |
|---|---|---|
| createdAt |
string (date-time) |
Tanda waktu pembuatan sumber daya (UTC). |
| createdBy |
string |
Identitas yang membuat sumber daya. |
| createdByType |
Jenis identitas yang membuat sumber daya. |
|
| lastModifiedAt |
string (date-time) |
Tanda waktu modifikasi terakhir sumber daya (UTC) |
| lastModifiedBy |
string |
Identitas yang terakhir mengubah sumber daya. |
| lastModifiedByType |
Jenis identitas yang terakhir memodifikasi sumber daya. |